0%

ubuntu 安装pygit2

参考:http://www.pygit2.org/install.html

依赖包:
Python 2.7, 3.2+ or PyPy 2.6+ (including the development headers)
Libgit2 v0.25.x
cffi 1.0+
six
tox (optional)

安装依赖包:

1
2
3
sudo apt-get install libssh2-1-dev
sudo apt-get install libgit2-dev
sudo apt-get install python-tox python-cffi python-six

安装:

1
2
3
4
5
6
wget https://github.com/libgit2/libgit2/archive/v0.25.0.tar.gz
tar xzf v0.25.0.tar.gz
cd libgit2-0.25.0/
cmake .
make
sudo make install

cmake .的时候会告诉你缺啥啥,缺啥装啥。